%global momorel 1
%global wikidir %{_var}/www/mediawiki

Summary: The PHP-based wiki software behind Wikipedia
Name: mediawiki
Version: 1.13.5
Release: %{momorel}m%{?dist}
Group: Applications/Internet
License: GPLv2+
URL: http://www.mediawiki.org/
#Source0: http://dl.sourceforge.net/sourceforge/wikipedia/mediawiki-%%{version}.tar.gz
Source0: http://download.wikimedia.org/mediawiki/1.13/mediawiki-%{version}.tar.gz
NoSource: 0
Source1: mediawiki-httpd.conf
Source2: mediawiki-install.txt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: httpd
Requires: php >= 4.1.2
Requires: php-mysql
Requires: php-pgsql
# to make sure the "apache" group is created before mediawiki is installed
Requires(pre):  httpd

%description
MediaWiki is the software used for Wikipedia (http://www.wikipedia.org) and
the other Wikimedia Foundation websites. Compared to other wikis, it has a
wide range of features and support for high-traffic websites using
multiple servers.

Mathematics support is included in the package mediawiki-math.


%ifnarch ppc64
%package math
Summary: Mathematical formula support for MediaWiki
Group: Applications/Internet

BuildRequires: ocaml >= 3.10.2
Requires: mediawiki = %{version}-%{release}
Requires: ImageMagick tetex-latex tetex-dvips

%description math
This package includes the support for mathematical formulas in MediaWiki.
%endif


%prep
%setup -q
install -D -m 644 %{SOURCE2} ./INSTALL.momonga
rm -rf tests includes/zhtable skins/disabled
rm -f `find -name ".[ch]*"`


%build
%ifnarch ppc64
cd math
make %{?_smp_mflags}
%endif

%install
rm -rf %{buildroot}
install -d %{buildroot}%{wikidir}
cp -pr config extensions images includes languages %{buildroot}%{wikidir}
cp -pr maintenance skins [[:lower:]]*.*  %{buildroot}%{wikidir}
cp -pr StartProfiler.php   %{buildroot}%{wikidir}
%{__chmod} 755 %{buildroot}%{wikidir}/maintenance/*.pl

%ifnarch ppc64
install -d %{buildroot}%{wikidir}/math
install math/texvc %{buildroot}%{wikidir}/math
%endif
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/mediawiki.conf.dist

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING FAQ HISTORY README RELEASE-NOTES UPGRADE
%doc INSTALL.momonga
%doc docs

%config %{_sysconfdir}/httpd/conf.d/mediawiki.conf.dist

%dir %{wikidir}
%{wikidir}/[^cd]*[^h]
%attr(770,root,apache) %dir %{wikidir}/config
%{wikidir}/config/index.php
%{wikidir}/config/index.php5


%ifnarch ppc64
%files math
%defattr(-,root,root,-)
%dir %{wikidir}/math
%doc math/README math/TODO
%{wikidir}/math/texvc
%endif

%changelog
* Sat Mar 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.13.5-1m)
- [SECURITY] CVE-2009-0737
- update to 1.13.5

* Wed Dec 17 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.13.3-1m)
- [SECURITY] CVE-2008-5249 CVE-2008-5250 CVE-2008-5252
- [SECURITY] CVE-2008-5687 CVE-2008-5688
- update to 1.13.3

* Thu Oct 16 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.13.2-1m)
- [SECURITY] CVE-2008-4408
- update to 1.13.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.12.0-2m)
- rebuild against gcc43

* Wed Mar 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.12.0-1m)
- [SECURITY] CVE-2008-1318
- update to 1.12.0

* Sun Mar  2 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.11.1-2m)
- rebuild against ocaml-3.10.2

* Wed Feb  6 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.11.1-1m)
- [SECURITY] CVE-2008-0460
- update 1.11.1

* Tue Dec 4 2007 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.11.0-2m)
- add missing file

* Tue Dec 4 2007 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.11.0-1m)
- update to 1.11.0

* Wed Sep 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.9.4-1m)
- [SECURITY] CVE-2007-4828, CVE-2007-4883
- update to 1.9.4

* Sat Jun 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.9.2-1m)
- update to 1.9.2

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.7.1-2m)
- disable math for ppc64

* Sun Sep 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.7.1-1m)
- version up 1.7.1

* Fri Jul 28 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.8-1m)
- import from fedora extra

* Mon Apr 03 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.8-1
- Update to upstream 1.5.8 (contains security fixes)

* Thu Mar 02 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.7-1
- Update to upstream 1.5.7

* Mon Feb 13 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-6
- Rebuild for Fedora Extras 5

* Mon Feb 06 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-5
- Put internal doc files in the right directory, renaming it
  back to docs (#180177)

* Sat Feb 04 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-4
- Use Requires(pre) instead of PreReq (Mike McGrath)

* Thu Feb 02 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-3
- Refactor the %%files section (Mike McGrath)
- Replace "/etc" with macro
- Package docs under %%{_defaultdocdir}/internals
- Minor change in description

* Tue Jan 31 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-2
- Add %%defattr for -math subpackage
- Fixed typo in description

* Tue Jan 31 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-1
- Update to upstream 1.5.6

* Sun Jan 15 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.5-3
- Add PreReq for httpd, since we use the apache user
- Make mediawiki-math dependencies more specific
- Package documentation for mediawiki-math

* Sat Jan 14 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.5-2
- Separate math support into a subpackage

* Thu Jan 12 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.5-1
- Initial packaging
